This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 542257

Summary: SELinux is preventing /usr/bin/qemu "write" access on sr0.
Product: [Fedora] Fedora Reporter: jimmyb
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: berrange, david.m.beer, dwalsh, dwmw2, eric, f.berard, gcosta, itamar, jaswinder, jeremy.butler36, jerianjer, jesse_kahtava, jforbes, markmc, mgrepl, michael.monreal+bugs, quintela, redhat, rockstarsavin, theophanis_kontogiannis, twostageturbo, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:e739465549cfcb4f9445bca935a61e88358d4cfa307ba6c4632ce65c304ac9c7
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 21:36:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 543839    

Description jimmyb 2009-11-28 20:09:59 EST
Summary:

SELinux is preventing /usr/bin/qemu "write" access on sr0.

Detailed Description:

SELinux denied access requested by qemu. It is not expected that this access is
required by qemu and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:svirt_t:s0:c228,c492
Target Context                system_u:object_r:virt_content_t:s0
Target Objects                sr0 [ blk_file ]
Source                        qemu
Source Path                   /usr/bin/qemu
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           qemu-system-x86-0.11.0-11.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-46.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 i686
Alert Count                   1
First Seen                    Sat 28 Nov 2009 10:54:08 AM EST
Last Seen                     Sat 28 Nov 2009 10:54:08 AM EST
Local ID                      9ed545f6-0cc7-46d2-9493-908c73892fa3
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1259423648.102:46992): avc:  denied  { write } for  pid=3989 comm="qemu" name="sr0" dev=tmpfs ino=3486 scontext=system_u:system_r:svirt_t:s0:c228,c492 tcontext=system_u:object_r:virt_content_t:s0 tclass=blk_file

node=(removed) type=SYSCALL msg=audit(1259423648.102:46992): arch=40000003 syscall=5 success=no exit=-13 a0=bfcd0ef7 a1=9002 a2=0 a3=bfcd0ef7 items=0 ppid=1 pid=3989 auid=4294967295 uid=107 gid=107 euid=107 suid=107 fsuid=107 egid=107 sgid=107 fsgid=107 tty=(none) ses=4294967295 comm="qemu" exe="/usr/bin/qemu" subj=system_u:system_r:svirt_t:s0:c228,c492 key=(null)



Hash String generated from  selinux-policy-3.6.32-46.fc12,catchall,qemu,svirt_t,virt_content_t,blk_file,write
audit2allow suggests:

#============= svirt_t ==============
allow svirt_t virt_content_t:blk_file write;
Comment 1 Daniel Walsh 2009-12-22 15:01:35 EST
*** Bug 549761 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Walsh 2009-12-22 15:03:15 EST
*** Bug 540597 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2009-12-28 06:22:17 EST
*** Bug 550702 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2009-12-28 06:24:51 EST
*** Bug 550704 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Walsh 2009-12-29 16:56:39 EST
*** Bug 550966 has been marked as a duplicate of this bug. ***
Comment 6 Daniel Walsh 2009-12-29 16:57:41 EST
*** Bug 551098 has been marked as a duplicate of this bug. ***
Comment 7 Daniel Walsh 2010-01-08 12:17:37 EST
*** Bug 553690 has been marked as a duplicate of this bug. ***
Comment 8 Daniel Walsh 2010-03-02 09:27:38 EST
*** Bug 569791 has been marked as a duplicate of this bug. ***
Comment 9 Fedora Admin XMLRPC Client 2010-03-09 12:17:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Michael Monreal 2010-04-19 05:07:40 EDT
For me, this SELinux error appeared when I tried to install a VM from a physical CD... so no write access was needed.
Comment 11 Andrew Ross 2010-05-27 22:41:50 EDT
Also on F13

selinux-policy-3.7.19-15.fc13.noarch
selinux-policy-targeted-3.7.19-15.fc13.noarch
qemu-kvm-0.12.3-8.fc13.x86_64
Comment 12 Michael Monreal 2010-07-03 06:13:07 EDT
Still getting this on F13 when trying to install Windows XP. The installer is started but after some time it hangs at "Setup is starting Windows". Do you think this is related or another bug? (and why is F13's virt stack so buggy... everything used to work on F12...)
Comment 13 Bug Zapper 2010-11-04 01:02:06 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-03 21:36:59 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.